Loading...
Searching...
No Matches
Dune::GridGlue::Extractor< GV, cd >::CoordinateInfo Struct Reference

`#include <dune/grid-glue/extractors/extractor.hh>`

## Public Member Functions

| CoordinateInfo ()
| CoordinateInfo (unsigned int index_, IndexType vtxindex_)

## Public Attributes

IndexType | vtxindex
| the index of the parent element (from index set)
Coords | coord
| the coordinate
unsigned int | index
| the index of this coordinate (in internal storage scheme) // NEEDED??

## Constructor & Destructor Documentation

## CoordinateInfo() [1/2]

template<typename GV, int cd>

Dune::GridGlue::Extractor< GV, cd >::CoordinateInfo::CoordinateInfo | ( |  | ) |

inline

## CoordinateInfo() [2/2]

template<typename GV, int cd>

Dune::GridGlue::Extractor< GV, cd >::CoordinateInfo::CoordinateInfo | ( | unsigned int | index_,
|  | IndexType | vtxindex_ )

inline

## Member Data Documentation

## coord

template<typename GV, int cd>

Coords Dune::GridGlue::Extractor< GV, cd >::CoordinateInfo::coord

the coordinate

## index

template<typename GV, int cd>

unsigned int Dune::GridGlue::Extractor< GV, cd >::CoordinateInfo::index

the index of this coordinate (in internal storage scheme) // NEEDED??

## vtxindex

template<typename GV, int cd>

IndexType Dune::GridGlue::Extractor< GV, cd >::CoordinateInfo::vtxindex

the index of the parent element (from index set)

The documentation for this struct was generated from the following file:

- extractor.hh